Bug 434488 - Line tool sensors don't properly interpret speed sensors
Summary: Line tool sensors don't properly interpret speed sensors
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tools (show other bugs)
Version: 4.4.2
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2021-03-16 11:54 UTC by tomtomtomreportingin
Modified: 2022-02-25 12:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomtomtomreportingin 2021-03-16 11:54:26 UTC
SUMMARY
Relayed from https://krita-artists.org/t/line-tool-sometimes-does-not-produce-a-continuous-stroke/20476
It seems that the line tool exaggerates/improperly interprets the speed sensor of a brush, sometimes resulting in largely incomplete lines if the max speed is set to a value of 0.

STEPS TO REPRODUCE
1. Select Ink 2 Fineliner.
2. With "Use sensors" in the line tools enabled, create a fast line with the line tool.
3. Observe.

OBSERVED RESULT
The line is mostly invisible. It doesn't match up at all with a freehand line done in a similar speed.

EXPECTED RESULT
The speed is interpreted properly.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Debian sid
KDE Plasma Version: 5.20.5
KDE Frameworks Version: 5.78.0
Qt Version: 5.12.9 (Appimage)

ADDITIONAL INFORMATION
Somehow not a regression.
Comment 1 Dmitry Kazakov 2022-02-25 12:37:21 UTC
Git commit 7f1e26379c25468904cc3ad365eef5ec8c38ca74 by Dmitry Kazakov.
Committed on 25/02/2022 at 12:37.
Pushed by dkazakov into branch 'master'.

Fix speed sensor when used in the line tool

There was a misprint in KisConverterPaintingInformationBuilder

M  +1    -1    libs/ui/tool/kis_painting_information_builder.cpp
M  +6    -0    plugins/tools/basictools/kis_tool_line.cc
M  +1    -0    plugins/tools/basictools/kis_tool_line.h

https://invent.kde.org/graphics/krita/commit/7f1e26379c25468904cc3ad365eef5ec8c38ca74
Comment 2 Dmitry Kazakov 2022-02-25 12:38:01 UTC
Git commit 5e76f7235669beb3cdfc39222ee8e123081eab11 by Dmitry Kazakov.
Committed on 25/02/2022 at 12:37.
Pushed by dkazakov into branch 'krita/5.0'.

Fix speed sensor when used in the line tool

There was a misprint in KisConverterPaintingInformationBuilder

M  +1    -1    libs/ui/tool/kis_painting_information_builder.cpp
M  +6    -0    plugins/tools/basictools/kis_tool_line.cc
M  +1    -0    plugins/tools/basictools/kis_tool_line.h

https://invent.kde.org/graphics/krita/commit/5e76f7235669beb3cdfc39222ee8e123081eab11